> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get reprocessing status

> Get the status of a reprocessing request



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json get /idr/{graphId}/reprocess-status/{requestId}
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /idr/{graphId}/reprocess-status/{requestId}:
    get:
      summary: Get reprocessing status
      description: Get the status of a reprocessing request
      operationId: ReprocessStatus
      parameters:
        - description: Required. ID of the graph for the reprocessing request.
          in: path
          name: graphId
          required: true
          schema:
            type: string
        - description: Required. ID of the reprocessing request.
          in: path
          name: requestId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The status of the reprocessing request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdrReprocessStatusOutput'
              examples:
                queueing:
                  value:
                    status: queueing
                    queuedAt: null
                    reprocessedAt: null
                    reprocessedRunId: null
                    recordFound: null
                    error: null
                queued:
                  value:
                    status: queued
                    queuedAt: '2025-10-07T01:23:45.678Z'
                    reprocessedAt: null
                    reprocessedRunId: null
                    recordFound: null
                    error: null
                reprocessed:
                  value:
                    status: reprocessed
                    queuedAt: '2025-10-07T01:23:45.678Z'
                    reprocessedAt: '2025-10-07T01:23:45.678Z'
                    reprocessedRunId: 123e4567-e89b-12d3-a456-426614174000
                    recordFound:
                      - true
                      - false
                    error: null
                failed:
                  value:
                    status: failed
                    queuedAt: null
                    reprocessedAt: null
                    reprocessedRunId: null
                    recordFound: null
                    error: Failed to write identifiers to data warehouse
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateErrorJSON'
      security:
        - bearerAuth: []
components:
  schemas:
    IdrReprocessStatusOutput:
      properties:
        status:
          type: string
          enum:
            - queueing
            - queued
            - reprocessed
            - failed
            - cancelled
          description: >-
            "queueing": The identifiers are being queued for reprocessing.

            "queued": The identifiers have been queued and added to the
            blocklist. Their associated clusters will be reprocessed next time
            the graph runs.

            "reprocessed": The identifiers' clusters have been reprocessed
            during a run.

            "failed": We failed to queue the identifiers for reprocessing.

            "cancelled": The reprocessing request has been cancelled.
        queuedAt:
          type: string
          format: date-time
          nullable: true
          description: >-
            Set if the status is "queued" or "reprocessed". The timestamp when
            the identifiers were queued for reprocessing.
        reprocessedAt:
          type: string
          format: date-time
          nullable: true
          description: >-
            Set if the status is "reprocessed". The timestamp when the
            identifiers' clusters were reprocessed.
        reprocessedRunId:
          type: string
          nullable: true
          description: >-
            Set if the status is "reprocessed". The ID of the run that
            reprocessed the identifiers' clusters.
        recordFound:
          items:
            type: boolean
          type: array
          nullable: true
          description: >-
            One result per identifier, in the order they were submitted.

            True if the identifier was found in the graph at the start of the
            run that processed the request.

            Null until the request is processed, and on requests submitted
            before this field existed on the API.
        error:
          type: string
          nullable: true
          description: >-
            If available, the error message from failing to queue the
            identifiers for reprocessing.
      required:
        - status
        - queuedAt
        - reprocessedAt
        - reprocessedRunId
        - recordFound
        - error
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````